1. 主页
  2. 文档
  3. 主题通用文档
  4. 安装授权
  5. 安装 Swoole Loader 扩展

安装 Swoole Loader 扩展

MNews Pro 主题使用 Swoole Compiler 进行加密,需要安装对应 PHP 版本的 swoole-loader 扩展才能正常使用,至此 MNews Pro 主题也不再支持虚拟主机。

请按文档来,Swoole Compiler 使用的扩展不是宝塔面板上的 Swoole 扩展。

需要注意以下几点:

1、是否为64位系统,Swoole Compiler不支持32位系统,虚拟机和 Windows 系统的服务器

2、Swoole Compiler不支持Debug版本,请安装非Debug版本的PHP

3、文档以 PHP7.3为例,如果不是 PHP7.3版本的,注意上传对应的扩展,修改对应的配置文件。

安装 Swoole-Loader 扩展

1、确定 PHP 版本,线程安全和非线程安全,可在终端(需要登录到服务器,宝塔面板可直接在菜单——终端)中输入 php -v,可得到类型如下代码:

PHP 7.3.22 (cli) (built: Sep 19 2020 18:06:20) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.22, Copyright (c) 1998-2018 Zend Technologies

其中第一行代码中的 PHP 7.3.22 确定 PHP 版本为7.3,最后括号中的 NTS 为非线程安全版本,可确定需要安装swoole_loader73.so 扩展。如果最后括号中的字段为 ZTS,则需要安装swoole_loader73_zts.so 扩展

2、下载扩展,点击这里,解压后将名为swoole_loader73.so 扩展文件放置到PHP扩展目录中,扩展目录确定:

Linux可使用php -i | grep extension_dir找到扩展目录

3,配置 php.ini,在 php.ini 的最后一行添加:

Linux: extension=swoole_loader73.so

宝塔面板可直接在 PHP设置——配置文件中直接添加,效果如下:

注意:在添加的代码后面,需要多次换行,不然后期安装扩展会在一行显示。

4、需要重启 Apache 服务或 PHP 服务

成功后使用php -mphpinfo页面确认是否安装成功。

注:如果重启服务出现错误或服务停止,请把 opcache 扩展禁用,并检查「配置文件」中的代码是否在一行了。

扩展冲突

请关闭xdebug,ioncube loader,zend guard loader等影响PHP底层行为的扩展。